Subject: Re: [PATCH v2] l2tp: Avoid possible recursive deadlock in l2tp_tunnel_register()

From: Shigeru Yoshida <[email-masked]>
Date: Thu, 16 Feb 2023 01:39:26 +0900

Hi Guillaume,

On Tue, Feb 14, 2023 at 06:09:33PM +0100, Guillaume Nault wrote:
> On Wed, Feb 15, 2023 at 01:49:08AM +0900, Shigeru Yoshida wrote:
> > Just one more thing.  I created this patch based on the mainline linux
> > tree, but networking subsystem has own tree, net.  Is it preferable to
> > create a patch based on net tree for networking patches?
> 
> Yes. Networking fixes should be based on the "net" tree:
> https://git.kernel.org/pub/scm/linux/kernel/git/netdev/net.git

Thanks.  I'll use the "net" tree for v3 patch.

> For more details about posting patches to netdev, you can check
> Documentation/process/maintainer-netdev.rst
> 
> Or the online version:
> https://kernel.org/doc/html/latest/process/maintainer-netdev.html

Got it.  I'll check that.

Anyway, I'll make v3 patch based on your feedback.

Thanks,
Shigeru

> > Thanks,
> > Shigeru